[build-system]
requires = ["flit_core >=3.2,<4"]
build-backend = "flit_core.buildapi"

[project]
name = "retailtwin"
authors = [{name = "Guillem Borrell", email = "borrell.guillem@bcg.com"}]
readme = "README.md"
dynamic = ["version", "description"]
dependencies = [
  "duckdb",
  "pydantic",
  "typer",
  "rich",
  "pyyaml",
  "pydantic-settings",
  "polars",
  "pandas",
  "pyarrow",
  "sqlalchemy[asyncio] > 2.0.13",
  "adbc-driver-postgresql",
  "adbc-driver-sqlite",
  "prompt_toolkit",
  "asyncpg",
  "psycopg2-binary",
  "pydantic-settings"
]


[project.urls]
Home = "https://github.com/Borrell-Guillem_bcgprod/retailtwin"

[project.optional-dependencies]
doc = [
    "mkdocs-material",
    "pymdown-extensions",
    "mkdocstrings[python-legacy]>=0.18",
    "mkdocs-gen-files",
    "markdown-include",
    "mkdocs-with-pdf",
    "mkdocs-literate-nav"]

dev = [
    "black",
    "ruff",
    "pre-commit"
]

[project.scripts]
retailtwin = "retailtwin.cli.data:app"
stock = "retailtwin.cli.stock:app"
pos = "retailtwin.cli.pos.main:app"
tasks = "retailtwin.cli.tasks.main:app"